%define modname apm
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B10_%{modname}.ini

Summary: 	Alternative PHP Monitor
Name: 		php-%{modname}
Version: 	2.0.5
Release: 	%mkrel 1
Group: 		Development/PHP
License: 	PHP License
URL: 		http://pecl.php.net/package/APM/
Source0: 	http://pecl.php.net/get/APM-%{version}.tgz
Source1: 	B10_apm.ini
BuildRequires: 	sqlite3-devel
BuildRequires: 	mysql-devel
BuildRequires: 	php-devel >= 3:5.2.0
%global __requires_exclude pear\\((lib|setup).php\\)

%description
Monitoring extension for PHP, collects error events and store them in a local
SQLite database.

%prep

%setup -q -n APM-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

%build
%serverbuild

export APM_SHARED_LIBADD="-lmysqlclient -lz -lsqlite3"
phpize
%configure2_5x \
    --with-libdir=%{_lib} \
    --with-sqlite3=%{_prefix} \
    --with-mysql=%{_prefix} \
    --with-zlib-dir=%{_prefix} \
    --enable-statsd \
    --enable-socket

# use the correct directory
echo "#define SQLITE3_DEFAULTDB \"/var/lib/php-apm\"" >> config.h

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}/var/lib/php-apm

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files
%doc AUTHORS CONTRIBUTORS LICENSE NEWS README* package*.xml
%config(noreplace) %attr(0640,apache,apache) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%attr(0750,apache,apache) /var/lib/php-apm


%changelog
* Thu Feb 25 2016 oden <oden> 2.0.5-1.mga6
+ Revision: 979067
- fix build
- 2.0.5

* Fri Feb 12 2016 umeabot <umeabot> 1.1.0-3.RC2.6.mga6
+ Revision: 958272
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 1.1.0-3.RC2.5.mga5
+ Revision: 792116
- add excludes

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.RC2.4.mga5
+ Revision: 744293
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.1.0-3.RC2.3.mga5
+ Revision: 734002
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-2.RC2.3.mga5
+ Revision: 687097
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.1.0-2.RC2.2.mga5
+ Revision: 616529
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 tmb <tmb> 1.1.0-2.RC2.1.mga4
+ Revision: 567806
- rebuild for new php

* Thu Jun 13 2013 oden <oden> 1.1.0-1RC2.mga4
+ Revision: 442869
- P0: rediff
- bump release
- 1.1.0RC2
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-0beta5.mga3
+ Revision: 375669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 1.1.0-0beta4.mga3
+ Revision: 275642
- upgrade to  beta4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.1-2.mga2
+ Revision: 223857
- httpd restart is handled by filetriggers now

* Fri Feb 17 2012 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 209906
- added Patch1: php-apm-svn.diff diff to svn to make it build
- upgrade to 1.0.1
- upgrade to 1.0.1
- rebuild against php-5.3.9

  + misc <misc>
    - add configuration to make php-apm work by default

* Sun Feb 06 2011 spuhler <spuhler> 1.0.0-0.0.beta3.4.mga1
+ Revision: 47673
- removed buildroot definition from .spec
- imported package php-apm

